aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohan Klokkhammer Helsing <johan.helsing@qt.io>2018-02-12 14:22:59 +0100
committerLiang Qi <liang.qi@qt.io>2018-02-26 19:52:41 +0000
commit08c88de5c8d531fb4fee03a0c337dd93739d365a (patch)
tree23cdf2a506e00752b7e39c18340b9858c7450a05
parent51a87054d644ae22249fd98484b8ba0ebeeda165 (diff)
Provisioning: Build and install Wayland 1.12.0 on RHEL 7.4
So QtWayland will be built and included in the installer. wayland-egl, however, will not be built, as that depends on support in mesa. Task-number: QTBUG-66341 Change-Id: Id3f1825e00be9d278fce8ac2710a2640baafd332 Reviewed-by: Simon Hausmann <simon.hausmann@qt.io>
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/60-wayland.sh63
2 files changed, 65 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
index 23b80d89..84e42f7b 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/04-install-packages.sh
@@ -86,6 +86,8 @@ installPackages+=(bluez-libs-devel)
# QtWebKit
installPackages+=(libxml2-devel)
installPackages+=(libxslt-devel)
+# For building Wayland from source
+installPackages+=(libffi-devel)
sudo yum -y update
sudo yum -y install "${installPackages[@]}"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/60-wayland.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/60-wayland.sh
new file mode 100755
index 00000000..01155a46
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/60-wayland.sh
@@ -0,0 +1,63 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+source "${BASH_SOURCE%/*}/../common/unix/DownloadURL.sh"
+
+version=1.12.0
+sha1="9a0dd96f53fff3e227035ed76caaa209b632ea8d"
+archive="wayland-$version.tar.xz"
+primaryUrl="https://wayland.freedesktop.org/releases/$archive"
+cacheUrl="http://ci-files01-hki.intra.qt.io/input/wayland/$archive"
+
+echo "Installing Wayland $version $sha1 on RHEL"
+
+targetFile="/tmp/$archive"
+DownloadURL $primaryUrl $cacheUrl $sha1 $targetFile
+tar xf $targetFile --directory /tmp/
+rm $targetFile
+
+cd /tmp/wayland-$version
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib64 \
+ --disable-static \
+ --disable-documentation
+make
+sudo make install
+rm -rf /tmp/wayland-$version
+
+echo "wayland = $version" >> ~/versions.txt